Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 9 reacties
Bron: Adobe, submitter: Mujahid

Met behulp van Adobe Flash Player is het mogelijk om Flash-content - voornamelijk swf-bestanden - te bekijken en af te spelen op de computer. Populaire videosites zoals Youtube en Google Video maken onder meer gebruik van Flash om bezoekers video's af te laten spelen binnen de standalone Flash Player. Adobe heeft dan eindelijk een stable release uitgebracht voor Linux x86 en voorzien van 9.0.31.0 als het versienummer. De lijst met veranderingen ziet er als volgt uit:

Fixes and improvements in Flash Player 9.0.31.0

Flash Player 9.0.31.0 for Linux includes all of the features from Flash Player 9.0.28.0 except for windowless mode and full-screen mode.

Flash Player 9.0.31.0 currently only supports the Firefox, Mozilla, and SeaMonkey browsers using GTK2. Instability issues are expected in all other, non-supported browsers, such as Opera, Konqueror, Netscape, Galeon.

Only ALSA is supported for microphone input and speaker output, and only Video4Linux v1 is supported for camera input.

Fixed in this version:
  • Prior audio/video synchronization issues have been resolved.
  • User can't type or delete when cursor is outside of the area of the running SWF.
  • Flash content does not print symbols at less that 100% alpha.
  • Motion Status remains the same even when motion is demonstrated for the Camera.
Known issues:
  • Full-screen mode and windowless mode are not yet available for the Linux player.
  • Express Install is an unsupported feature due to the variety of Linux platforms, each handling the Adobe Flash Player plug-in installation in different ways.
  • SSL support is available only when users install flashsupport.c. More information on SSL support can be found at Additional Interface Support for Linux.
  • Modal dialogs displayed by Flash Player stay in front of browser windows but do not prevent interaction with the browser as they should. (191331)
  • When hovering over Flash content on a web page, the mouse scroll-wheel does not work. Workaround: Hover over the HTML content on the web page. (188976)
  • On certain SUSE 9.2 installations using the standalone player only, trying to Open a browser from the standalone player with SeaMonkey open will cause the player to hang. (193383)
  • Networking operations in the standalone player are currently slow. (193158)
  • When the mouse is hovering over Flash content, keyboard input is not sent to the browser. (194265)
[break]Adobe Flash Player 9.0.31.0 voor Linux x86 is in de volgende twee smaken binnen te halen:
* Installer in .tar.gz (2549KB)
* Installer in .rpm (2545KB)
Moderatie-faq Wijzig weergave

Reacties (9)

Met flash wordt het pas echt duidelijk hoe zeer een gesloten software (en standaarden) cultuur vooruitgang tegengaat. Geen 64bit. Andere OSen, zoals FreeBSD hebben dikke pech als Adobe ze niet wil ondersteunen. Pas nu, jaren nadat OSS officieel als deprecated gemarkeerd is, komt er een flash speler die ALSA gebruikt. Al die tijd moesten veel mensen dus speciaal voor flash backwards compatibility inschakelen.

De enige markt waar je als consument minder keuze hebt is de geneesmiddelenmarkt, en zelfs daar verlopen patenten na een aantal jaar. Zoals Bouke Koelstra van OSOSS ook zegt: Software is an imature market.
Ik zie ze liever met een 64bit versie afkomen. imo een zeer groot gemis op mijn 64bit ubuntu tijdens het surfen :(.
De link van de onderstaande poster(mouse256) bevat een CVS linkje naar de 64bit versie in development.

Alhoewel bij nader inspectie beperkt zich dit tot de ActionScript module (de ze ge-opensourced hebben!) en die dan ook de nieuwe javascript engine kan worden... (de core language is bij beide ECMAscript)

Daarmee heb je nog niet meteen 64bit support voor flash. Aangezien flash in feite ActionScript + flash-support-libraries is .. (voor graphics, geluid, webcam, etc.)
http://desktoplinux.com/news/NS4744081663.html
Flash Player 9, according to Adobe's release notes, needs at least an 800 MHz or faster processor, 512MB of RAM, 128MB of graphics memory, and ALSA (Advanced Linux Sound Architecture) compatible audio hardware. Note: it will not work with OSS (Open Sound System) audio.

On the browser side, I found that it works with Firefox 1.5.0.8 and 2.0.0.1 and Mozilla SeaMonkey 1.0.5. It will not, however, work with non-GTK2-based browsers like KDE's Konqueror and Opera. You can, however, invoke it as a standalone application from these Web browsers.
Het is dus weer eens half-af... :Z
Ook deze versie krijgt opera op z'n knieen met bepaalde sites (totale crash meestal). De hele 9.x reeks werkt rot op mijn desktop (gentoo,gnome,opera).
Als je nou ff de release notes leest ipv meteen begint te blaten... :z

Er staat toch duidelijk dat er instabiliteit optreedt met andere browsers dan Firefox en Seamonkey. Ik ben allang blij dat ze de meest gebruikte browser onder linux ondersteunen.
Voor meer informatie: http://www.kaourantin.net/
En voor de mensen die OSS, ICU of SSL support willen/nodig hebben: libflashsupport
Kunnen Linux-mensen dan eindelijk ook uploaden met flash? Dat zou mij echt enorm helpen op mijn site...
En wat een hoge specs voor flash!!!!!

Overigens draait hun versie 7 voor linux eigenlijk wel goed op mijn pIII-800MHz, 256MB ram, Debian, en Firefox

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True